@import "../../../../styles/variables.scss";
@import "../../../../styles/mixins.scss";

.album__container {
  color: color(light);
  text-align: center;

  .album__card-content {
    display: grid;
    grid-template-columns: repeat(auto-fill, 100%);
    justify-content: space-evenly;
    grid-gap: 20px;

    @include from-min($s-medium) {
      grid-template-columns: repeat(auto-fill, 200px);
    }
  }

  .album__subtitle {
    margin-bottom: 20px;
  }

  .album__card:hover {
    transition: 0.3s;
    background: color(secondaryRgbaOpacity);
    border: 1px solid #000;
    color: #000;
    box-shadow: inset 0px 0px 5px #000;
  }

  .album__card {
    width: 100%;
    padding: 10px 16px 10px 10px;
    text-align: left;
    display: inline-block;
    background: rgba(0, 0, 0, 0.6);
    border-radius: 10px;
    border: 1px solid transparent;
    box-shadow: inset 0px 0px 5px #fff;
    cursor: pointer;

    .album__name {
      @include text-ellipsis();
    }

    .album__label {
      display: none;
    }

    @include from-min($s-medium) {
      padding: $padding;

      .album__name {
        font-size: size(16);
      }

      .album__label {
        display: block;
        font-size: size(12);
      }
    }
  }

  @include from-min($large) {
    text-align: left;
  }
}
